# vim:ft=spec
# TODO
# - use mkinitrd and update for geninitrd
# - fix vim not to mark this file as bash
Summary:	bash-completion offers programmable completion for bash
Summary(pl.UTF-8):	Programowalne uzupełnianie nazw dla basha
Name:		bash-completion
Version:	2.11
Release:	2
Epoch:		1
License:	GPL v2+
Group:		Applications/Shells
#Source0Download: https://github.com/scop/bash-completion/releases
Source0:	https://github.com/scop/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	2514c6772d0de6254758b98c53f91861
Source1:	%{name}-poldek.sh
# https://bugs.launchpad.net/ubuntu/+source/mysql-dfsg-5.0/+bug/106975
Source3:	http://launchpadlibrarian.net/19164189/mysqldump
# Source3-md5:	09e4885be92e032400ed702f39925d85
Source4:	http://svn.php.net/viewvc/pear2/sandbox/PEAR_BashCompletion/trunk/pear?revision=285425&view=co?/pear
# Source4-md5:	8ce77e4459e2c45e2096da8d03c8f43d
Patch0:		%{name}-rpm-cache.patch
Patch1:		pear.patch
Patch2:		%{name}-ip_addresses.patch
Patch3:		%{name}-no_mtr.patch
URL:		https://github.com/scop/bash-completion
BuildRequires:	sed >= 4.0
Requires(post):	sed >= 4.0
Requires:	bash >= 4.1
Requires:	pld-release
Obsoletes:	bash-completion-rpm-cache
Conflicts:	rpm < 4.4.9-44
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of bash 4.1 and later.

%description -l pl.UTF-8
bash-completion jest kolekcją funkcji shella, które opierają się na
wbudowanych rozszerzeniach basha 4.1 lub późniejszego umożliwiającego
dopełnianie parametrów linii poleceń.

%package devel
Summary:	Development files for bash-completion
Summary(pl.UTF-8):	Pliki programistyczne do pakietu bash-completion
Group:		Development/Tools
# doesn't require base: it just contain paths configuration
Conflicts:	bash-completion < 1:2.11

%description devel
pkg-config and cmake files for bash-completion packages development.

%description devel -l pl.UTF-8
Pliki pkg-configa i cmake'a do tworzenia pakietów bash-completion.

%prep
%setup -q
cp -p '%{SOURCE4}' completions/pear
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

# update path
%{__sed} -i -e 's#${BASH_SOURCE\[0\]%/\*}#%{_datadir}/%{name}#' completions/perl

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install -j1 \
	INSTALL="install -p" \
	profiledir=/etc/shrc.d \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/poldek
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/mysqldump
cp -p completions/pear $RPM_BUILD_ROOT%{_datadir}/%{name}/completions

# No package matches '*/apache2ctl'
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/apache2ctl
# No PLD package or no such binary to complete on
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/{larch,lisp,monodevelop,[pg]4,cowsay,cowthink,cpan2dist}
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/{mkinitrd,rpmcheck}
# FreeBSD stuff
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/{kldload,portupgrade}
# Debian stuff
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/completions/{apt-build,bts,dselect,reportbug,alternatives,update-alternatives,lintian,lintian-info}

# do not generate autodeps
chmod a-x $RPM_BUILD_ROOT%{_datadir}/%{name}/helpers/perl

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 20050721-3.9
sed -i -e '/^# START bash completion/,/^# END bash completion/d' /etc/bashrc

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README.md
/etc/shrc.d/bash_completion.sh
%dir %{_sysconfdir}/bash_completion.d
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bash_completion
%dir %{_datadir}/%{name}/completions
%{_datadir}/%{name}/completions/*
%dir %{_datadir}/%{name}/helpers
%attr(755,root,root) %{_datadir}/%{name}/helpers/perl
%attr(755,root,root) %{_datadir}/%{name}/helpers/python

%files devel
%defattr(644,root,root,755)
%{_npkgconfigdir}/bash-completion.pc
%{_datadir}/cmake/bash-completion
%changelog
* Sun Dec 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bash-completion.git;a=log;h=master

* Wed Nov 17 2021 Adam Osuchowski <adwol@pld-linux.org> 95d5ed1
- better support for rpm package completion
- drop hrmib support (not used by rpm4 anymore)
- matching package versions and releases
- use simple packages list in /var/log/rpmpkgs if present

* Fri Oct 22 2021 Adam Osuchowski <adwol@pld-linux.org> cdafeff
- backslashes are important to shell; don't forget them if command is broken into several lines

* Sun Mar 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 2b28026
- updated to 2.11
- updated ip_addresses,no_mtr patches
- separated -devel not to require all completions for development
- changed Requires(triggerpostun) to Requires(post) for rpm.org

* Thu Jun 18 2020 Elan Ruusamäe <glen@pld-linux.org> cec3842
- Remove bts completion

* Sun Jun 24 2018 Adam Osuchowski <adwol@pld-linux.org> 7078f0d
- disable completion for mtr; it has its own completion rules

* Sun Jun 24 2018 Adam Osuchowski <adwol@pld-linux.org> 3f34a96
- fixed IP adresses completion (always use ip tool instead of ifconfig; support for IPv6; support for multiple addresses per interface)

* Mon May 21 2018 Adam Osuchowski <adwol@pld-linux.org> 03c1620
- up to 2.8
- updated URL and Source0

* Tue Nov 21 2017 Jan Rękorajski <baggins@pld-linux.org> 5ff120d
- rfkill now in util-linux
- rel 6

* Sat Apr 30 2016 Jan Rękorajski <baggins@pld-linux.org> 937c01f
- util-linux update
- rel 5

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> b2b3d5e
- drop completions provided by NetworkManager

* Fri Aug 02 2013 Jan Rękorajski <baggins@pld-linux.org> 0d1d52d
- drop completions provided by util-linux
- rel 4

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 78e5ac4
- /etc/pld-release is now in pld-release package
- rel 3

* Mon Apr 15 2013 Elan Ruusamäe <glen@delfi.ee> 83db953
- drop yum completions

* Mon Apr 08 2013 Elan Ruusamäe <glen@delfi.ee> 82bf3d4
- rpm5 df fix

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 8a463e4
- updated to 2.1

* Sun Feb 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0113649
- build fix

* Fri Aug 17 2012 Elan Ruusamäe <glen@delfi.ee> 0b9f2c0
- poldek: load rpm completions on demand

* Thu Aug 16 2012 Elan Ruusamäe <glen@delfi.ee> 0e4e06f
- port poldek completion to 2.0

* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> ce4b36e
- builder-completion: parse bconds directly from .spec without builders "help"

* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> b38e19d
- builder-completion: -r does not need .spec

